#include <bits/stdc++.h>
using namespace std;

int main() {
	
	
	int n, l, s=1;
	cin >> n >> l;
	
	int niz[n];
	for(int i=0; i<n; i++)
	cin >>niz[i];
	
	for(int i=0; i<n; i++){
		if(niz[i]>l)
		s++;
		
		else
		break;
		
	}
	if(s==n+1)
	s=-1;
	
	cout<<s<<endl;
	
	
	
	
	return 0;
}